Skip to main content
PATCH
Updates a production order.

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Headers

x-companyid
string

The Company-Id (int or uuid) of the company on whose behalf the request is executed.

x-tenant-id
string<uuid>
required

The tenant ID for the target ERP instance.

Path Parameters

productionOrderId
string<uuid>
required
Example:

"b45f6432-2462-4c6f-b00f-1d9d01000000"

Body

application/json

Request parameters

Updates a production order. - Request

productionItemId
string<uuid>

The ID of the item to be produced by the production order.

Example:

"b45f6432-2462-4c6f-b00f-1d9d01000000"

billOfMaterialId
string<uuid>

The ID of the bill of materials for the production item used in the production order.

Example:

"b45f6432-2462-4c6f-b00f-1d9d01000000"

lotCount
integer<int32>

The number of lots for the production order.

lotSize
number<decimal>

The size of each lot for the production order.

targetStartTimestamp
string<date-time>

The target start timestamp of the production order.

targetCompletionTimestamp
string<date-time>

The target completion timestamp of the production order.

deliveryTimestamp
string<date-time>

The delivery timestamp of the production order.

referenceNumber
string

The reference number of the production order.

projectNumber
string

The project number of the production order.

notice
string

The notice of the production order.

Response

Production order was successfully modified

Updates a production order. - Response

productionOrderId
string<uuid>

The ID of the modified production order.

Example:

"b45f6432-2462-4c6f-b00f-1d9d01000000"